#### 7.10.3.1 lpNoetherian

Procedure from library `fpaprops.lib` (see fpaprops_lib).

Usage:
  lpNoetherian(G); G an ideal in a Letterplace ring

Return:
  int
  0 not Noetherian
  1 left Noetherian
  2 right Noetherian
  3 Noetherian
  4 weak Noetherian

Purpose:
  Check whether the monomial algebra A/<LM(G)> is (left/right) noetherian

Assume:
  - basering is a Letterplace ring
  - G is a Groebner basis

Theory:
  lpNoetherian works with the monomial algebra A/<LM(G)>. If it gives an affirmative answer for one of the properties, then it holds for both A/<LM(G)> and A/<G>. However, a negative answer applies only to A/<LM(G)> and not necessarily to A/<G>.

Note:
  Weak Noetherian means that two-sided ideals in A/<LM(G)> satisfy the acc (ascending chain condition).

Example:

    LIB "fpaprops.lib";
    ring r = 0,(x,y),dp;
    def R = freeAlgebra(r, 5);
    setring R;
    ideal G = x*x, y*x; // K<x,y>/<xx,yx> is right noetherian
    lpNoetherian(G);
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.